// 引入原始jsonp插件
import originJsonp from 'jsonp'
/*
 封装原jsonp插件，返回promise对象
 url： 请求地址
 data：请求的json参数
 option：其他json参数，默认直接写空对象即可
*/
export default function jsonp (url,option) {
  url += (url.indexOf('?') < 0 ? '?' : '&')
  return new Promise((resolve, reject) => {
    // originJsonp中的参数说明可以到前言中的github中查看
    originJsonp(url, option, (err, data) => {
      if (!err) {
        resolve(data)
      } else {
        reject(err)
      }
    })
  })
}